
QGIS Application - Bug report #2091

GRASS modules missing: v.in.geonames and v.in.gns

2009-11-14 12:36 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: leolami -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12151

Description

The two modules are listed among the commands, but are not available, and give an error when clicked. They should either removed or

completed. Maybe also others are not available? Better check.

History

#1 - 2010-01-06 02:17 AM - Redmine Admin

Works for me with svn trunk + GRASS 6.4. v.in.geonames is new in GRASS 6.4 (v.in.gns is quite old - no idea), but the list of QGIS GRASS tools depends

on GRASS version QGIS is compiled with.

Which version of GRASS are you using? Is the v.in.geonames present in your GRASS installation?

It is just script, so it should always be present (no lib dependencies).

Could it be, that you are running QGIS compiled with GRASS >= 6.4 with GRASS <=6.3? Don't forget about shell GISBASE variable and especially

.config/QuantumGIS/QGIS.conf gisbase.

#2 - 2010-01-06 06:31 AM - Giovanni Manghi

There were two typos in .qgm files (r.in.* instead of v.in.*), it seems that has already been fixed.

#3 - 2010-01-07 05:55 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

I am going to close it, seems to be fixed.
